﻿.about{
    position: relative;
    display: block;
    width: 100%;
    height: 100vh;
}
.about-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.about-info-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.about-text-box{
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
}
.about-text{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items:center;
    position: relative;
}
.about-text-info,
.about-text-about{
    z-index: 9;
}
.about-text-info span{
    letter-spacing: 2px;
    font-size: 18px;
    font-family: "微軟正黑體";
    color: #555;
}
.about-text-about-box{
    position: absolute;
    top: 30%;
}
.about-text-about-box span{
    font-size: 24px;
    font-family: "Noto Sans TC";
    letter-spacing: 3px;
    font-weight: bold;
}
.about-text-about{
    display: inline-block;
    color:#78cbbf;
    font-size: 30px;
}
.about-text-about-line span{
    display: block;
    position: relative;
    background-color: #78cbbf;
    width: 100%;
    height: 1px;
    bottom: 0px;
    right: 110px;
    margin: 13px 0;
}

.about-text-aboutlogo{
    height: 100%;
    position: absolute;
    z-index: 1;
    display: inline-flex;
    align-items:center;
    left: 50%;
    opacity: 0;
    color: #f0f0f0;
}
.about-text-aboutlogo span{
    font-size: 118px;
    font-family: "Anton";
    
}
.about-cube-box{
    width: 100%;
    height: 100%;
    display: inline-flex;
    position: absolute;
    justify-content: flex-start;
    align-items: center;
    opacity: 0;
    
}

.about-line-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top:0;
    pointer-events: none;
}
.about-text-about-line{
    width: 260px;
    opacity: 0;
}
/*-----------------animation----------------------*/
.about-cube-box.active{
    opacity: 1;
    animation: inLeft 2s ease-out;
}
.about-text-about-line.active{
    opacity: 1;
    animation: lineshorttolong 1s ease;
}
.about-text-aboutlogo.active{
    opacity: 1;
    animation: fadinUp 1s ease;
}